<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:loadImage="http://schemas.android.com/tools"
    xmlns:app="http://schemas.android.com/apk/res-auto">

    <data>

        <variable
            name="bean"
            type="com.lukouguoji.module_base.bean.GjcHaWb" />

        <variable
            name="position"
            type="Integer" />
    </data>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal"
            android:layout_marginVertical="8dp"
            android:paddingHorizontal="10dp">

            <!-- 选项 - 圆形checkbox -->
            <ImageView
                android:id="@+id/iv_checkbox"
                loadImage="@{bean.checked.get() ? @drawable/radiobtn_checked_style : @drawable/radiobtn_unchecked_style}"
                android:layout_width="0dp"
                android:layout_height="20dp"
                android:layout_gravity="center_vertical"
                android:layout_weight="0.5"
                android:src="@drawable/radiobtn_unchecked_style" />

            <!-- 分单号 (前缀-编号-H编号) -->
            <TextView
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1.2"
                android:gravity="center"
                android:text="@{bean.hno ?? ``}"
                android:textColor="@color/colorPrimary"
                android:textSize="14sp"
                android:textStyle="bold" />

            <!-- 件数 -->
            <TextView
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="0.8"
                android:gravity="center"
                android:text="@{String.valueOf(bean.hpc ?? bean.pc)}"
                android:textColor="@color/text_normal"
                android:textSize="14sp" />

            <!-- 重量 -->
            <TextView
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="0.8"
                android:gravity="center"
                android:text="@{String.valueOf((int)(bean.hweight ?? bean.weight))}"
                android:textColor="@color/text_normal"
                android:textSize="14sp" />

            <!-- 申报状态 -->
            <TextView
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:gravity="center"
                android:text="@{bean.arrivalStatus ?? ``}"
                android:textColor="@color/text_normal"
                android:textSize="14sp" />

            <!-- 品名（中） -->
            <TextView
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:gravity="center"
                android:text="@{bean.goodsCn ?? bean.goods}"
                android:textColor="@color/text_normal"
                android:textSize="14sp" />

            <!-- 申报次数 -->
            <TextView
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="0.9"
                android:gravity="center"
                android:text="@{bean.tallySCount != null ? String.valueOf((int)bean.tallySCount.doubleValue()) : `0`}"
                android:textColor="@color/text_normal"
                android:textSize="14sp" />

            <!-- 申报费率 -->
            <TextView
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="0.9"
                android:gravity="center"
                android:text="@{bean.tallySRate != null ? String.valueOf(bean.tallySRate) : `0`}"
                android:textColor="@color/text_normal"
                android:textSize="14sp" />

            <!-- 删除次数 -->
            <TextView
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="0.9"
                android:gravity="center"
                android:text="@{bean.tallyDCount != null ? String.valueOf((int)bean.tallyDCount.doubleValue()) : `0`}"
                android:textColor="@color/text_normal"
                android:textSize="14sp" />

            <!-- 删除费率 -->
            <TextView
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="0.9"
                android:gravity="center"
                android:text="@{bean.tallyDRate != null ? String.valueOf(bean.tallyDRate) : `0`}"
                android:textColor="@color/text_normal"
                android:textSize="14sp" />

        </LinearLayout>

        <com.google.android.material.divider.MaterialDivider
            android:layout_width="match_parent"
            android:layout_height="1px"
            android:background="@color/c999999" />
    </LinearLayout>


</layout>
